Forum Posts

Jack Snap
Mar 27, 2020
In Getting started
Installing on a raspberry pi 4 on blender 2.79b. installed v0.2.2.-bl279 and when I try to enable the add-on I get: Exception in module register(): '/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py' Traceback (most recent call last): File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 72, in <module> import bpy, imp, subprocess, sys, os, zmq File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/__init__.py", line 47, in <module> from zmq import backend File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 40, in <module> reraise(*exc_info) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/utils/sixcerpt.py", line 34, in reraise raise value File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/__init__.py", line 27, in <module> _ns = select_backend(first) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/select.py", line 27, in select_backend mod = __import__(name, fromlist=public_api) File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py", line 6, in <module> from . import (constants, error, message, context, ImportError: cannot import name 'constants' from 'zmq.backend.cython' (/home/pi/.config/blender/2.79/scripts/addons/crowdrender/lib/Linux/3_7/zmq/backend/cython/__init__.py) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/share/blender/scripts/modules/addon_utils.py", line 350, in enable mod.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/__init__.py", line 119, in register cr_source.register() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 89, in register select_versions() File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/__init__.py", line 69, in select_versions from . import py_3_7 as cr_version File "/home/pi/.config/blender/2.79/scripts/addons/crowdrender/src/py_3_7/__init__.py", line 96, in <module> raise ImportError("CrowdRender is not able to run because it can't import necessary"+\ ImportError: CrowdRender is not able to run because it can't import necessarycomponents, please e-mail us at info@crowdrender.com.au to report this. I've gone in and checked that those files appear to be in my .config folder. I'm wondering if anyone else has any tips for installing CR on a Pi. Cheers for the help, and for developing these solutions.
0
1
138

Jack Snap

More actions